Bug 465713 - Evince fails to print some PDF files
Evince fails to print some PDF files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 18:31 EDT by Alex Wauck
Modified: 2013-04-02 00:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:30:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF that fails (33.33 KB, application/pdf)
2008-10-05 18:31 EDT, Alex Wauck
no flags Details
PostScript that works (63.53 KB, application/postscript)
2008-10-05 18:33 EDT, Alex Wauck
no flags Details
pdf from nature - probably exported from indesign (1.33 MB, application/pdf)
2008-10-21 15:39 EDT, zachary charlop-powers
no flags Details

  None (edit)
Description Alex Wauck 2008-10-05 18:31:36 EDT
Created attachment 319507 [details]
PDF that fails

Description of problem:
When told to print a particular PDF file, Evince takes a long time, consuming lots of CPU time, then prints a blank page.  The PDF in question was generated by LyX, so I had LyX produce a PostScript file instead, which Evince happily and quickly printed.


Version-Release number of selected component (if applicable):
2.24.0

How reproducible:


Steps to Reproduce:
1. Produce a document with LyX.
2. Export to PDF
3. Open the PDF with Evince.
4. Print the PDF.

The following bugs may be related:
https://bugs.launchpad.net/evince/+bug/276615
http://bugzilla.gnome.org/show_bug.cgi?id=554611
Comment 1 Alex Wauck 2008-10-05 18:33:31 EDT
Created attachment 319508 [details]
PostScript that works
Comment 2 Alex Wauck 2008-10-05 18:36:35 EDT
The printer I am using is a HP LaserJet 4000.  I am apparently accessing it over the JetDirect protocol (although I thought I told it to use LPD), and it is using the "HP LaserJet 4000 Series Postscript (recommended)" driver.  Its device URI is hp:/net/HP_LaserJet_4000_Series?ip=(redacted).
Comment 3 ivolopez 2008-10-18 16:13:46 EDT
I think that this problem is related to Type 3 fonts ( see File/Properties/Fonts in Evince ).  It's not new and I found this problem some months ago.  I changed the latex commands in order to use only type 1 fonts I my problems disappeared.  

See   http://ubuntuforums.org/archive/index.php/t-557746.html for example.
Comment 4 zachary charlop-powers 2008-10-21 15:39:39 EDT
Created attachment 321083 [details]
pdf from nature - probably exported from indesign

document that fails
Comment 5 Brennan Ashton 2008-11-04 00:38:01 EST
This bug has been triaged
Comment 6 Bug Zapper 2008-11-25 22:35:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-11-18 03:31:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:30:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.